Diskuzní fórum a databáze tipů a utilit pro AutoCAD, Inventor, Revit a další produkty Autodesk - od firmy CAD Studio [www.cadforum.cz]
Česky Slovensky English Deutsch
Přihlášení:
▶ Registrace

 právě nás čte: 3565 
RSS tipy RSS kanál - CAD tipy
RSS diskuze RSS kanál - CAD diskuze

Diskuze Diskuzní fórum, poradna

NápovědaCAD diskuze, rady, výměna zkušeností

CAD Fórum - Homepage Veřejné diskuzní fórum k CAD aplikacím - ptejte se na libovolné otázky týkající se oboru CAx, podělte se o vaše znalosti a zkušenosti s programy AutoCAD, Inventor, Revit, Fusion 360, 3ds Max a s dalšími CAD aplikacemi. Zaregistrujte se nebo se přihlašte a zašlete váš příspěvek do odpovídajícího fóra. Viz další informace o CAD Fóru. Nechcete se registrovat? Zeptejte se v naší Facebook poradně.
Fórum nenahrazuje technický support firmy CAD Studio - přímá podpora pro zákazníky funguje na helpdesk.cadstudio.cz
  FAQ FAQ  Prohledat fórum   Události   Registrovat Registrovat  Přihlásit Přihlásit

PRAVIDLO POUZE PRO DÍL

 Odpovědět Odpovědět archiv
Autor
Lukáš Záruba Zobrazit panel
Zasloužilý člen
Zasloužilý člen

Přihlášen: 02.lis.2007
Lokalita: ČR (SČ)
Používám:
inventor 2015
Stav: Offline
Bodů: 222
Možnosti příspěvku Možnosti příspěvku   Poděkování (0) Poděkování0   Citace Lukáš Záruba Citace  OdpovědětOdpověď Přímý odkaz na tuto zprávu Téma: PRAVIDLO POUZE PRO DÍL
    Zasláno: 09.srp.2018 v 09:23
Zdravím je možné napsat na začátek pravidla nějakou část, která si ověří že je pravidlo spuštěno při otevření samotného ipt a ne při načítání dílů při otvírání sestavy? Stává se mi že pravidlo nejde použít a při otevření nebo / uložení sestavy mi vyskočí chybová hláška. Když vyskočí u 20-30 dílů tak je to dost otravný. 

Mám nějaká pravidla která se mají spustit při otevření dílu a nebo při jeho uložení. potřebuji do těcho pravidel napsat něco jako :

1: koukni se jak jsi byl otevřen/uložen
2: přímo z ipt - proveď pravidlo
3: Jiné otevření - nedělej nic

Nebo se to dá nastavit nějak jinak ? poraďte mi prosím.  
Budu rád za radu i případně všelijaké postřehy.
Zpět nahoru
Navara Zobrazit panel
CAD Studio support
CAD Studio support
Avatar
CAD Studio a.s.

Přihlášen: 08.zář.2008
Lokalita: ČR (Pha)
Používám:
Inventor
Stav: Online
Bodů: 1015
Možnosti příspěvku Možnosti příspěvku   Poděkování (0) Poděkování0   Citace Navara Citace  OdpovědětOdpověď Přímý odkaz na tuto zprávu Zasláno: 14.srp.2018 v 11:05
Jak se to řeší v iLogicu nevím, ale přes standardní API to poznat jde. Obávám se, že v iLogicu to buď nejde, nebo to bude nutné řešit nějakým obskurním způsobem.
 
Jestli chcete řešit podobně komplikované úlohy, tak doporučuju přejít na psaní addinů s plnou podporou API Inventoru včetně obsluhy událostí (např.: OnSave, OnOpen).
Zpět nahoru
Lukáš Záruba Zobrazit panel
Zasloužilý člen
Zasloužilý člen

Přihlášen: 02.lis.2007
Lokalita: ČR (SČ)
Používám:
inventor 2015
Stav: Offline
Bodů: 222
Možnosti příspěvku Možnosti příspěvku   Poděkování (0) Poděkování0   Citace Lukáš Záruba Citace  OdpovědětOdpověď Přímý odkaz na tuto zprávu Zasláno: 14.srp.2018 v 12:26
ok, díky za odpověď. 
Zkusím to udělat jinak.
Budu rád za radu i případně všelijaké postřehy.
Zpět nahoru
Navara Zobrazit panel
CAD Studio support
CAD Studio support
Avatar
CAD Studio a.s.

Přihlášen: 08.zář.2008
Lokalita: ČR (Pha)
Používám:
Inventor
Stav: Online
Bodů: 1015
Možnosti příspěvku Možnosti příspěvku   Poděkování (0) Poděkování0   Citace Navara Citace  OdpovědětOdpověď Přímý odkaz na tuto zprávu Zasláno: 14.srp.2018 v 12:35
Pokud by stačilo obsloužení události OnSave (před nebo po uložení) dá se použít spouštěč iLogic pravidel v X-Tools. Tam je možné to rozpoznat podle argumentů pravidla.
Podrobněji je to popsané v dokumentaci k X-Tools v kapitole 3.9.1
Zpět nahoru
Lukáš Záruba Zobrazit panel
Zasloužilý člen
Zasloužilý člen

Přihlášen: 02.lis.2007
Lokalita: ČR (SČ)
Používám:
inventor 2015
Stav: Offline
Bodů: 222
Možnosti příspěvku Možnosti příspěvku   Poděkování (0) Poděkování0   Citace Lukáš Záruba Citace  OdpovědětOdpověď Přímý odkaz na tuto zprávu Zasláno: 14.srp.2018 v 13:45
Při uložení sestavy a dílů v nich obsažených mi vyskočí chybová hláška kterou musím odkliknout. 
Potřebuju toto chybové hlášení odstranit nebo zakázat. Nedá se to nějak ošetřit v pravidle? pravidlo v samotným dílu funguje. 


Připojené náhledyPřihlaste se pro zobrazení plné verze - 4903/chyba_v_nájezdu.JPG


Dim FilePath As String
FilePath = ThisDoc.Path & "\EXPORT\"
If ThisApplication.ActiveDocument.ComponentDefinition.HasFlatPattern = False Then
       ThisApplication.ActiveDocument.ComponentDefinition.Unfold
Else
   ThisApplication.ActiveDocument.ComponentDefinition.FlatPattern.Edit
End If

    Dim fSett As String
    fSett = "FLAT PATTERN DXF?AcadVersion=2000&InvisibleLayers=IV_UNCONSUMEND_SKETCHES;IV_TANGENT;IV_BEND;IV_BEND_DOWN;IV_TOOL_CENTER;IV_TOOL_CENTER_DOWN;IV_ARC_CENTERS;IV_FEATURE_PROFILES_DOWN;IV_ALTREP_FRONT;IV_ALTREP_BACK;IV_TEČNA_SVINUTÍ;IV_ROLL&SplineTolerance Double 0.01"
    Dim fSname As String
    fSname = FilePath & ThisDoc.FileName(False) & ".dxf"
ThisApplication.ActiveDocument.ComponentDefinition.DataIO.WriteDataToFile( fSett, fSname) 'Save s nastavenim fSett a do cesty fSname

  
ThisApplication.ActiveDocument.ComponentDefinition.FlatPattern.ExitEdit

Budu rád za radu i případně všelijaké postřehy.
Zpět nahoru
Jiri.Dostal Zobrazit panel
TOP uživatel
TOP uživatel
Avatar

Přihlášen: 03.bře.2011
Lokalita: ČR (PL)
Používám:
INV 2014, MCAD 2014, Vault 2014 Pro
Stav: Offline
Bodů: 471
Možnosti příspěvku Možnosti příspěvku   Poděkování (0) Poděkování0   Citace Jiri.Dostal Citace  OdpovědětOdpověď Přímý odkaz na tuto zprávu Zasláno: 14.srp.2018 v 13:51
řekl bych, že problém bude v pravidle. Podobně jako zde:
Zpět nahoru
Lukáš Záruba Zobrazit panel
Zasloužilý člen
Zasloužilý člen

Přihlášen: 02.lis.2007
Lokalita: ČR (SČ)
Používám:
inventor 2015
Stav: Offline
Bodů: 222
Možnosti příspěvku Možnosti příspěvku   Poděkování (0) Poděkování0   Citace Lukáš Záruba Citace  OdpovědětOdpověď Přímý odkaz na tuto zprávu Zasláno: 15.srp.2018 v 08:20
Jo je to jedno z nich.

Stejný problém s chybovou hláškou mi dělá i pravidlo pro zazoomování dílu:

iLogicVb.UpdateWhenDone = True 
 
ThisApplication .ActiveView.Fit
Budu rád za radu i případně všelijaké postřehy.
Zpět nahoru

Pro technickou podporu CAD
kontaktujte Helpdesk

Příbuzné CAD tipy:
Tip 9399:VIPPočet kusů součásti v sestavě do výkresu dané součásti.
Tip 10267:VIPRychlá inspekce dílů v sestavě Inventoru (iLogic)
Tip 11554:Jak nastavit K-Faktor a další parametry rozvinu plechu ve Fusion 360?
Tip 11548:Jak přenést pravidla akcí při kopírování návrhu Vaultu na další počítače?
Tip 11500:VIPNastavení barvy pozadí výkresového listu Inventoru pomocí iLogic
Tip 11978:Chyba Fusion360: unfold is not supported inside other custom group


 Odpovědět Odpovědět

Přejít na fórum Oprávnění fóra Zobrazit panel



Stránka byla vygenerována za 0,281 sekund.